// Copyright (C) 2015 - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html

x=linspace(-1,1,10);
y=legendre_pdf(x);
exact=0.5*ones(x);
assert_checkalmostequal(y,exact);
//
// Check integral
v=intg(-1,1,legendre_pdf);
assert_checkalmostequal(v,1);
//
// Check consistency with respect to weight
a=-1;
b=1;
I=intg(a,b,legendre_weight);
x=linspace(a,b,10);
y1=legendre_pdf(x);
y2=legendre_weight(x);
assert_checkalmostequal(y1,y2/I);
